Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.bridge
Class JDBCCMP2xAutoUpdatedFieldBridge

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCAbstractCMPFieldBridge
          org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCCMP2xFieldBridge
              org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCCMP2xAutoUpdatedFieldBridge

All Implemented Interfaces:
  CMPFieldBridge, FieldBridge, JDBCCMPFieldBridge, JDBCFieldBridge

Direct Known Subclasses:
  JDBCCMP2xUpdatedPrincipalFieldBridge, JDBCCMP2xUpdatedTimeFieldBridge, JDBCCMP2xVersionFieldBridge

public abstract class JDBCCMP2xAutoUpdatedFieldBridge
extends JDBCCMP2xFieldBridge

The base class for all automatically updated fields such as audit and version.

Version:
  $Revision: 1.4 $
Author:
  Alex Loubyansky

Field Summary

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCAbstractCMPFieldBridge
`checkDirtyAfterGet, defaultFlags, fieldName, jdbcContextIndex, log, manager, primaryKeyMember, readOnly, readTimeOut, stateFactory, tableIndex`

Constructor Summary
`JDBCCMP2xAutoUpdatedFieldBridge(JDBCCMP2xFieldBridge cmpField)`
`JDBCCMP2xAutoUpdatedFieldBridge(JDBCStoreManager manager, JDBCCMPFieldMetaData metadata)`

Method Summary
`void` | `initInstance(EntityEnterpriseContext ctx)` Set CMPFieldValue to Java default value (i.e., 0 or null).
`abstract void` | `setFirstVersion(EntityEnterpriseContext ctx)`
`int` | `setInstanceParameters(PreparedStatement ps, int parameterIndex, EntityEnterpriseContext ctx)` Sets the prepared statement parameters with the data from the instance associated with the context.
`abstract Object` | `updateVersion(EntityEnterpriseContext ctx)`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCCMP2xFieldBridge
`getCmpFieldIAmMappedTo, getCmrChainLink, getColumnName, getInstanceValue, getLockedValue, isDirty, isFKFieldMappedToCMPField, isLoaded, isReadTimedOut, lockInstanceValue, resetPersistenceContext, setClean, setDirtyAfterGet, setInstanceValue, updateState`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCAbstractCMPFieldBridge
`addDefaultFlag, getDefaultFlags, getFieldIndex, getFieldName, getFieldType, getJDBCType, getManager, getPrimaryKeyClass, getPrimaryKeyField, getPrimaryKeyValue, getReadTimeOut, getTableIndex, getValue, isCMPField, isPrimaryKeyMember, isReadOnly, isRelationTableField, loadArgumentResults, loadInstanceResults, loadPrimaryKeyResults, setArgumentParameters, setLockingStrategy, setPrimaryKeyParameters, setPrimaryKeyValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCCMP2xAutoUpdatedFieldBridge

    public JDBCCMP2xAutoUpdatedFieldBridge(JDBCStoreManager manager,
                                           JDBCCMPFieldMetaData metadata)
                                    throws org.jboss.deployment.DeploymentException

### JDBCCMP2xAutoUpdatedFieldBridge

    public JDBCCMP2xAutoUpdatedFieldBridge(JDBCCMP2xFieldBridge cmpField)
                                    throws org.jboss.deployment.DeploymentException

Method Detail

### initInstance

    public void initInstance(EntityEnterpriseContext ctx)

  Description copied from class: `JDBCAbstractCMPFieldBridge`
  Set CMPFieldValue to Java default value (i.e., 0 or null).

  Specified by:
    `initInstance` in interface `JDBCFieldBridge`
  Overrides:
    `initInstance` in class `JDBCAbstractCMPFieldBridge`

### setInstanceParameters

    public int setInstanceParameters(PreparedStatement ps,
                                     int parameterIndex,
                                     EntityEnterpriseContext ctx)

  Description copied from interface: `JDBCFieldBridge`
  Sets the prepared statement parameters with the data from the instance associated with the context.

  Specified by:
    `setInstanceParameters` in interface `JDBCFieldBridge`
  Overrides:
    `setInstanceParameters` in class `JDBCAbstractCMPFieldBridge`

### setFirstVersion

    public abstract void setFirstVersion(EntityEnterpriseContext ctx)

### updateVersion

    public abstract Object updateVersion(EntityEnterpriseContext ctx)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.